Newer Version Available

This content describes an older version of this product. View Latest

List View Basic Information

Returns basic information for a specific list view, including the label, API name, and ID. This resource is available in REST API version 32.0 and later.
URI
/services/data/vXX.X/sobjects/sObject/listviews/listViewID
Formats
JSON, XML
HTTP Methods
GET
Authentication
Authorization: Bearer token
Parameters
None

Example

Example Request
1curl https://MyDomainName.my.salesforce.com/services/data/v63.0/sobjects/Account/listviews/00BD0000005WcBeMAK -H "Authorization: Bearer token"
Example Response Body
1{
2  "describeUrl" : "/services/data/v63.0/sobjects/Account/listviews/00BD0000005WcBeMAK/describe",
3  "developerName" : "NewThisWeek",
4  "id" : "00BD0000005WcBeMAK",
5  "label" : "New This Week",
6  "resultsUrl" : "/services/data/v63.0/sobjects/Account/listviews/00BD0000005WcBeMAK/results",
7  "soqlCompatible" : true,
8  "url" : "/services/data/v63.0/sobjects/Account/listviews/00BD0000005WcBeMAK"
9}